Index: src/main/java/project/fmo/app/projcetfmo/Repository/KategorijaRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/KategorijaRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/KategorijaRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,7 @@
-package project.fmo.app.projcetfmo.Repository;public interface KategorijaRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Kategorija;
+
+public interface KategorijaRepository extends JpaRepository<Kategorija, Integer> {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/KorisnikRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/KorisnikRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/KorisnikRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,43 @@
-package project.fmo.app.projcetfmo.Repository;public interface KorisnikRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.data.jpa.repository.Query;
+import project.fmo.app.projcetfmo.Model.Korisnik;
+
+import java.util.List;
+
+public interface KorisnikRepository extends JpaRepository<Korisnik, Integer> {
+    Korisnik findByImePrezime(String s);
+    Korisnik findByImePrezimeAndPasswordKorisnik(String s, String p);
+
+    @Query(value ="select k.id_korisnik,k.ime_prezime,\n" +
+            "\n" +
+            "(select count(n) from project.naracka as n\n" +
+            "where n.id_korisnik  = k.id_korisnik)\n" +
+            "as vkupno_naracki, \n" +
+            "\n" +
+            "(select avg(vkupno_suma) from project.naracka )\n" +
+            "as prosecna_suma_na_naracka_za_site_kupuvaci,\n" +
+            "\n" +
+            "(select sum(n3.vkupno_suma) from project.naracka as n3 \n" +
+            "where k.id_korisnik = n3.id_korisnik) \n" +
+            "as vkupno_suma_od_site_naracki_na_kupuvacot,\n" +
+            "\n" +
+            "(select count(n2) from project.naracka as n2\n" +
+            "where k.id_korisnik = n2.id_korisnik \n" +
+            "and n2.datum between now() - interval '1year'  and now() \n" +
+            "and n2.vkupno_suma > (select avg(vkupno_suma) from project.naracka) )\n" +
+            "as vkupno_naracki_nad_prosek_na_korisnikot,\n" +
+            "\n" +
+            "(select sum(n4.vkupno_suma) from project.naracka as n4 \n" +
+            "where  k.id_korisnik = n4.id_korisnik \n" +
+            "and n4.datum between now() - interval '1year' and now() \n" +
+            "and n4.vkupno_suma > (select avg(vkupno_suma) from project.naracka) ) \n" +
+            "as vkupno_suma_na_naracki_nad_prosek_za_korisnikot\n" +
+            "\n" +
+            "from project.korisnik as k \n" +
+            "inner join project.kupuvac as  k2 on k.id_korisnik = k2.id_korisnik \n" +
+            "group by k.ime_prezime,k.id_korisnik ;" ,
+    nativeQuery = true)
+    List<Object> statistics2();
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/KupuvacRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/KupuvacRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/KupuvacRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,7 @@
-package project.fmo.app.projcetfmo.Repository;public interface KupuvacRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Kupuvac;
+
+public interface KupuvacRepository extends JpaRepository<Kupuvac, Integer> {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/NarackaRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/NarackaRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/NarackaRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,12 @@
-package project.fmo.app.projcetfmo.Repository;public class NarackaRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Kupuvac;
+import project.fmo.app.projcetfmo.Model.Naracka;
+
+public interface NarackaRepository extends JpaRepository<Naracka, Integer> {
+    Naracka findByKupuvacAndStatus(Kupuvac kupuvac, String status);
+    Naracka findByKupuvacAndIdNaracka(Kupuvac kupuvac, Integer idN);
+    Naracka findByKupuvac(Kupuvac k);
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/NarackaSodrziProduktRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/NarackaSodrziProduktRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/NarackaSodrziProduktRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,15 @@
-package project.fmo.app.projcetfmo.Repository;public interface NarackaSodrziProduktRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.NarackaSodrziProdukt;
+import project.fmo.app.projcetfmo.Model.NarackaSodrziProduktPK;
+
+import javax.persistence.criteria.CriteriaBuilder;
+import java.util.List;
+
+public interface NarackaSodrziProduktRepository extends JpaRepository<NarackaSodrziProdukt, NarackaSodrziProduktPK> {
+    NarackaSodrziProdukt findByIdProduktAndIdNaracka(Integer idP, Integer idN);
+    List<NarackaSodrziProdukt> findByIdNaracka(Integer id);
+    void deleteByIdProdukt(Integer id);
+    List<NarackaSodrziProdukt> findByIdProdukt(Integer id);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/ProduktEOdKategorijaRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/ProduktEOdKategorijaRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/ProduktEOdKategorijaRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,11 @@
-package project.fmo.app.projcetfmo.Repository;public interface ProduktEOdKategorijaRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.ProduktEOdKategorija;
+import project.fmo.app.projcetfmo.Model.ProduktEOdKategorijaPK;
+
+public interface ProduktEOdKategorijaRepository extends JpaRepository<ProduktEOdKategorija, ProduktEOdKategorijaPK> {
+    ProduktEOdKategorija findByIdProdukt(Integer idProdukt);
+    void deleteByIdProdukt(Integer idProdukt);
+    ProduktEOdKategorija findByIdProduktAndIdKategorija(Integer idProdukt,Integer idKategorija);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/ProduktRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/ProduktRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/ProduktRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,52 @@
-package project.fmo.app.projcetfmo.Repository;public interface ProduktRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.domain.Pageable;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.data.jpa.repository.Query;
+import project.fmo.app.projcetfmo.Model.Produkt;
+
+import java.util.List;
+
+public interface ProduktRepository extends JpaRepository<Produkt, Integer> {
+    @Query(value = """
+            select p.id_produkt,p.ime,\s
+            count(nsp) as broj_na_naracki_vo_koi_e_prisuten_produktot,\s
+            sum(nsp.kolicina) as kolicina_prodadeno_od_produktot,\s
+
+            (select avg(n4.vkupno_suma) from project.naracka as n4\s
+            join project.naracka_sodrzi_produkt nsp4 on n4.id_naracka = nsp4.id_naracka \s
+            where n4.id_naracka =nsp4.id_naracka and p.id_produkt = nsp4.id_produkt and n4.datum between now() - interval '3months'\s
+            and now())
+            as prosecna_suma_na_naracka_vo_koja_se_sodrzi_produktot,
+
+            (select count(n2) from project.naracka as n2\040
+            join project.naracka_sodrzi_produkt nsp2 on n2.id_naracka = nsp2.id_naracka\s
+            where nsp2.id_produkt = p.id_produkt and n2.adresa like '/'\s
+            and n2.datum between now() - interval '3months' and now())
+            as broj_na_naracki_na_produktot_koi_korisnikot_sam_ke_gi_podigne,
+
+            (select sum(nsp2.kolicina) from project.naracka as n2\s
+            join project.naracka_sodrzi_produkt nsp2 on n2.id_naracka = nsp2.id_naracka\s
+            where nsp2.id_produkt = p.id_produkt and n2.adresa like '/'\s
+            and n2.datum between now() - interval '3months' and now())\s
+            as  kolicina_prodadena_na_produktot_bez_dostava,
+
+            (select count(n3) from project.naracka as n3\s
+            join project.naracka_sodrzi_produkt nsp3 on n3.id_naracka = nsp3.id_naracka\s
+            where nsp3.id_produkt = p.id_produkt and n3.adresa not like '/' and n3.datum between now() - interval '3months' and now())
+            as broj_na_naracki_na_produktot_koi_ke_bidat_dostaveni_na_korisnikot,
+
+            (select sum(nsp3.kolicina) from project.naracka as n3\s
+            join project.naracka_sodrzi_produkt nsp3 on n3.id_naracka = nsp3.id_naracka
+            where nsp3.id_produkt = p.id_produkt and n3.adresa not like '/' and n3.datum between now() - interval '3months' and now())
+            as kolicina_prodadena_na_produktot_preku_dostava
+
+            from project.produkt as p
+            join project.naracka_sodrzi_produkt as nsp on p.id_produkt = nsp.id_produkt\s
+            join project.naracka as n on nsp.id_naracka = n.id_naracka\s
+            where n.datum between now() - interval '3months' and now()
+            group by p.ime,p.id_produkt;""",
+    nativeQuery = true)
+    List<Object> statistics1();
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Repository/TelefnoskiBrojRepository.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Repository/TelefnoskiBrojRepository.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Repository/TelefnoskiBrojRepository.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,9 @@
-package project.fmo.app.projcetfmo.Repository;public class TelefnoskiBrojRepository {
+package project.fmo.app.projcetfmo.Repository;
+
+import org.springframework.data.jpa.repository.JpaRepository;
+import project.fmo.app.projcetfmo.Model.Telefonskibroj;
+import project.fmo.app.projcetfmo.Model.TelefonskibrojPK;
+
+public interface TelefnoskiBrojRepository extends JpaRepository<Telefonskibroj, TelefonskibrojPK> {
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/AdminService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/AdminService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/AdminService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,4 @@
-package project.fmo.app.projcetfmo.Service;public interface AdminService {
+package project.fmo.app.projcetfmo.Service;
+
+public interface AdminService {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/AuthService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/AuthService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/AuthService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,7 @@
-package project.fmo.app.projcetfmo.Service;public interface AuthService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Korisnik;
+
+public interface AuthService {
+    Korisnik login(String username, String password);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/CenaService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/CenaService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/CenaService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,20 @@
-package project.fmo.app.projcetfmo.Service;public interface CenaService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Cena;
+
+import java.util.Date;
+import java.util.List;
+
+public interface CenaService {
+
+
+    Cena save(Integer idProdukt, java.sql.Date cenaOd, java.sql.Date cenaDo, int iznos);
+    Cena edit (Integer idProdukt, java.sql.Date cenaOd, java.sql.Date cenaDo, int iznos);
+
+    List<Cena> findAll();
+
+    Cena findByIdProdukt(int idProdukt);
+    void deleteByIdProdukt(int idProdukt);
+
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/DostavaService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/DostavaService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/DostavaService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,14 @@
-package project.fmo.app.projcetfmo.Service;public interface DostavaService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Dostava;
+import project.fmo.app.projcetfmo.Model.Dostavuvac;
+
+import java.util.List;
+
+public interface DostavaService {
+
+    List<Dostava> findByIdKorisnikAndStatus(Dostavuvac dostavuvac, String status);
+    Dostava edit(Integer id);
+
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/DostavuvaceService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/DostavuvaceService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/DostavuvaceService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,10 @@
-package project.fmo.app.projcetfmo.Service;public interface DostavuvaceService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Dostavuvac;
+
+import javax.persistence.criteria.CriteriaBuilder;
+
+public interface DostavuvaceService {
+
+    Dostavuvac findById(Integer id);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/KategorijaService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/KategorijaService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/KategorijaService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,14 @@
-package project.fmo.app.projcetfmo.Service;public interface KategorijaService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Kategorija;
+
+import java.util.List;
+
+public interface KategorijaService {
+
+
+    List<Kategorija> findAll();
+    Kategorija save(String ime);
+    Kategorija edit(Integer id, String ime);
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/KorisnikService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/KorisnikService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/KorisnikService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,17 @@
-package project.fmo.app.projcetfmo.Service;public interface KorisnikService {
+package project.fmo.app.projcetfmo.Service;
+
+import org.springframework.security.core.userdetails.UserDetails;
+import org.springframework.security.core.userdetails.UserDetailsService;
+import project.fmo.app.projcetfmo.Model.Korisnik;
+import project.fmo.app.projcetfmo.Repository.KorisnikRepository;
+
+import java.sql.Date;
+import java.util.List;
+
+public interface KorisnikService extends UserDetailsService {
+    Korisnik findbyImePrezime (String ime);
+    Korisnik findById(Integer id);
+    Korisnik register(String username, String password, String repeatPassword, String mail, String number);
+
+    List<Object> statistics2();
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/KupuvacService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/KupuvacService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/KupuvacService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,8 @@
-package project.fmo.app.projcetfmo.Service;public class KupuvacRepository {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Kupuvac;
+
+public interface KupuvacService {
+
+    Kupuvac findById(Integer id);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/NarackaService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/NarackaService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/NarackaService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,23 @@
-package project.fmo.app.projcetfmo.Service;public interface NarackaService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.Kupuvac;
+import project.fmo.app.projcetfmo.Model.Naracka;
+import project.fmo.app.projcetfmo.Model.Produkt;
+
+import java.sql.Date;
+import java.util.List;
+
+public interface NarackaService {
+
+    List<Produkt> allProductsInOrder(Integer narackaId);
+    Naracka getActiveOrder(String username);
+    Naracka findByIdKorisniktAndStatus(Integer id, String s);
+
+    Naracka save(int vkupnoSuma, Date date, String status, String adresa, Kupuvac k);
+    Naracka edit(int vkupnoSuma,String status,String adresa, Integer idK, Integer idN);
+    Naracka findByKupuvac(Kupuvac k);
+    Naracka findByIdNaracka(Integer id);
+    List<Naracka> findAll();
+
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/NarackaSodrziProduktService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/NarackaSodrziProduktService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/NarackaSodrziProduktService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,18 @@
-package project.fmo.app.projcetfmo.Service;public interface NarackaSodrziProduktService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.NarackaSodrziProdukt;
+
+import javax.persistence.criteria.CriteriaBuilder;
+import java.util.List;
+
+public interface NarackaSodrziProduktService {
+    NarackaSodrziProdukt findByIdProduktAndIdNaracka(Integer idP, Integer idN);
+    NarackaSodrziProdukt edit(Integer idP, Integer idN, Integer quantity, Integer price);
+    NarackaSodrziProdukt save(Integer idP, Integer idN, Integer quantity, Integer price);
+    List<NarackaSodrziProdukt> findByIdNaracka(Integer id);
+    void deleteProduct(Integer id);
+
+    List<NarackaSodrziProdukt> findAll();
+
+    List<NarackaSodrziProdukt> findByIdProdukt(Integer id);
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/ProduktEOdKategorijaService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/ProduktEOdKategorijaService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/ProduktEOdKategorijaService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,20 @@
-package project.fmo.app.projcetfmo.Service;public interface ProduktEOdKategorijaService {
+package project.fmo.app.projcetfmo.Service;
+
+import project.fmo.app.projcetfmo.Model.ProduktEOdKategorija;
+
+import java.util.List;
+
+public interface ProduktEOdKategorijaService {
+
+
+    ProduktEOdKategorija save(int idProdukt, int idKategorija);
+    ProduktEOdKategorija edit(int idProdukt, int idKategorija);
+
+    List<ProduktEOdKategorija> findAll();
+
+    ProduktEOdKategorija findByIdProdukt(int idProdukt);
+    void deleteByIdProdukt(int idProdukt);
+
+    ProduktEOdKategorija findByIdProduktAndIdKategorija(int idProdukt, int idKategorija);
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/ProduktService.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/ProduktService.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/ProduktService.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,19 @@
-package project.fmo.app.projcetfmo.Service;public interface ProduktService {
+package project.fmo.app.projcetfmo.Service;
+
+import org.springframework.data.domain.Page;
+import project.fmo.app.projcetfmo.Model.Produkt;
+
+import java.util.List;
+import java.util.Optional;
+
+public interface ProduktService {
+
+    Optional<Produkt> findById(Integer id);
+    List<Produkt> findAll();
+    Produkt save(String ime, String opis);
+    Produkt edit(Integer id,String ime, String opis);
+    void deleteById(Integer id);
+
+    List<Object> statistics1();
+
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/AuthServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/AuthServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/AuthServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,21 @@
-package project.fmo.app.projcetfmo.Service.impl;public class AuthServiceImpl {
+package project.fmo.app.projcetfmo.Service.impl;
+
+import org.springframework.stereotype.Service;
+import project.fmo.app.projcetfmo.Model.Korisnik;
+import project.fmo.app.projcetfmo.Repository.KorisnikRepository;
+import project.fmo.app.projcetfmo.Service.AuthService;
+
+@Service
+public class AuthServiceImpl implements AuthService {
+
+    private final KorisnikRepository korisnikRepository;
+
+    public AuthServiceImpl(KorisnikRepository korisnikRepository) {
+        this.korisnikRepository = korisnikRepository;
+    }
+
+    @Override
+    public Korisnik login(String username, String password) {
+        return korisnikRepository.findByImePrezimeAndPasswordKorisnik(username,password);
+    }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/CenaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/CenaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/CenaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,54 @@
-package project.fmo.app.projcetfmo.Service.impl;public class CenaServiceImpl {
+package project.fmo.app.projcetfmo.Service.impl;
+
+import javax.transaction.Transactional;
+import org.springframework.stereotype.Service;
+import project.fmo.app.projcetfmo.Model.Cena;
+import project.fmo.app.projcetfmo.Model.CenaPK;
+import project.fmo.app.projcetfmo.Repository.CenaRepository;
+import project.fmo.app.projcetfmo.Service.CenaService;
+
+import java.sql.Date;
+import java.util.List;
+
+@Service
+public class CenaServiceImpl implements CenaService {
+
+    private final CenaRepository cenaRepository;
+
+    public CenaServiceImpl(CenaRepository cenaRepository) {
+        this.cenaRepository = cenaRepository;
+    }
+
+    @Override
+    public Cena save(Integer idProdukt, java.sql.Date cenaOd, java.sql.Date cenaDo, int iznos) {
+            Cena c = new Cena(idProdukt,cenaOd,cenaDo,iznos);
+            cenaRepository.save(c);
+        return c;
+    }
+
+    @Transactional
+    @Override
+    public Cena edit(Integer idProdukt, Date cenaOd, Date cenaDo, int iznos) {
+        Cena c = cenaRepository.findByIdProdukt(idProdukt);
+        cenaRepository.deleteByIdProdukt(c.getIdProdukt());
+        Cena c1 = new Cena(idProdukt,cenaOd,cenaDo,iznos);
+        cenaRepository.save(c1);
+        return c;
+    }
+
+    @Override
+    public List<Cena> findAll() {
+        return cenaRepository.findAll();
+    }
+
+    @Override
+    public Cena findByIdProdukt(int idProdukt) {
+        return cenaRepository.findByIdProdukt(idProdukt);
+    }
+
+    @Transactional
+    @Override
+    public void deleteByIdProdukt(int idProdukt) {
+        cenaRepository.deleteByIdProdukt(idProdukt);
+    }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,33 @@
-package project.fmo.app.projcetfmo.Service.impl;public class DostavaServiceImpl {
+package project.fmo.app.projcetfmo.Service.impl;
+
+import org.springframework.stereotype.Service;
+import project.fmo.app.projcetfmo.Model.Dostava;
+import project.fmo.app.projcetfmo.Model.Dostavuvac;
+import project.fmo.app.projcetfmo.Repository.DostavaRepository;
+import project.fmo.app.projcetfmo.Service.DostavaService;
+
+import java.util.List;
+
+@Service
+public class DostavaServiceImpl implements DostavaService {
+
+    private final DostavaRepository dostavaRepository;
+
+    public DostavaServiceImpl(DostavaRepository dostavaRepository) {
+        this.dostavaRepository = dostavaRepository;
+    }
+
+    @Override
+    public List<Dostava> findByIdKorisnikAndStatus(Dostavuvac dostavuvac, String status) {
+        return dostavaRepository.findByDostavuvacAndStatus(dostavuvac,status);
+    }
+
+    @Override
+    public Dostava edit(Integer id) {
+        Dostava d = dostavaRepository.findById(id).orElse(null);
+        assert d != null;
+        d.setStatus("dostavena");
+        dostavaRepository.save(d);
+        return d;
+    }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavuvacServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavuvacServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavuvacServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,21 @@
-package project.fmo.app.projcetfmo.Service.impl;public class DostavuvacServiceImpl {
+package project.fmo.app.projcetfmo.Service.impl;
+
+import org.springframework.stereotype.Service;
+import project.fmo.app.projcetfmo.Model.Dostavuvac;
+import project.fmo.app.projcetfmo.Repository.DostavuvacRepository;
+import project.fmo.app.projcetfmo.Service.DostavuvaceService;
+
+@Service
+public class DostavuvacServiceImpl implements DostavuvaceService {
+
+    private final DostavuvacRepository dostavuvacRepository;
+
+    public DostavuvacServiceImpl(DostavuvacRepository dostavuvacRepository) {
+        this.dostavuvacRepository = dostavuvacRepository;
+    }
+
+    @Override
+    public Dostavuvac findById(Integer id) {
+        return dostavuvacRepository.findById(id).orElse(null);
+    }
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/KategorijaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/KategorijaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/KategorijaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
@@ -1,2 +1,39 @@
-package project.fmo.app.projcetfmo.Service.impl;public class KategorijaServiceImpl {
+package project.fmo.app.projcetfmo.Service.impl;
+
+import org.springframework.stereotype.Service;
+import project.fmo.app.projcetfmo.Model.Kategorija;
+import project.fmo.app.projcetfmo.Repository.KategorijaRepository;
+import project.fmo.app.projcetfmo.Service.KategorijaService;
+
+import java.util.List;
+
+@Service
+public class KategorijaServiceImpl implements KategorijaService {
+
+    private final KategorijaRepository kategorijaRepository;
+
+    public KategorijaServiceImpl(KategorijaRepository kategorijaRepository) {
+        this.kategorijaRepository = kategorijaRepository;
+    }
+
+    @Override
+    public List<Kategorija> findAll() {
+        return kategorijaRepository.findAll();
+    }
+
+    @Override
+    public Kategorija save(String ime) {
+        Kategorija k = new Kategorija(ime);
+        kategorijaRepository.save(k);
+        return k;
+    }
+
+    @Override
+    public Kategorija edit(Integer id, String ime) {
+        Kategorija k = kategorijaRepository.findById(id).orElse(null);
+        assert k != null;
+        k.setIme(ime);
+        kategorijaRepository.save(k);
+        return k;
+    }
 }
